aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <peter@korsgaard.com>2019-02-26 14:48:45 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2019-02-26 14:48:45 +0100
commit4b2fff01c0ec98f538632d14da82a9a295319560 (patch)
tree4d3e74af99309549465284edfbf29f71fd91d206
parentd8605e4bb0ba3cc801552ca8dc9e51bb7a246d32 (diff)
downloadbuildroot-4b2fff01c0ec98f538632d14da82a9a295319560.tar.gz
buildroot-4b2fff01c0ec98f538632d14da82a9a295319560.tar.bz2
package/cryptopp: fix dos/unix newlines in patch
Fixes: http://autobuild.buildroot.net/results/0a26265961747600388258d32ba7dc9226c9249b/ Commit 40005b9a0da6 (package/cryptopp: fix build with gcc < 4.9) added a patch to fix building with old toolchains. The source code unfortunately contains a mix of DOS and UNIX newlines, and the DOS new lines got stripped by the mailing list, causing the patch to no longer apply. Fix up the patch manually. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/cryptopp/0001-config.h-avx2-depends-on-gcc-4.9.patch16
1 files changed, 8 insertions, 8 deletions
diff --git a/package/cryptopp/0001-config.h-avx2-depends-on-gcc-4.9.patch b/package/cryptopp/0001-config.h-avx2-depends-on-gcc-4.9.patch
index fd8b3c5ff2..7f93bceacf 100644
--- a/package/cryptopp/0001-config.h-avx2-depends-on-gcc-4.9.patch
+++ b/package/cryptopp/0001-config.h-avx2-depends-on-gcc-4.9.patch
@@ -27,14 +27,14 @@ index eccba009..4516d2b3 100644
--- a/config.h
+++ b/config.h
@@ -591,7 +591,7 @@ NAMESPACE_END
- // Requires Binutils 2.24
- #if !defined(CRYPTOPP_DISABLE_AVX2) && defined(CRYPTOPP_AVX_AVAILABLE) && \
- (defined(__AVX2__) || (CRYPTOPP_MSC_VERSION >= 1800) || (__SUNPRO_CC >= 0x5130) || \
-- (CRYPTOPP_GCC_VERSION >= 40700) || (__INTEL_COMPILER >= 1400) || \
-+ (CRYPTOPP_GCC_VERSION >= 40900) || (__INTEL_COMPILER >= 1400) || \
- (CRYPTOPP_LLVM_CLANG_VERSION >= 30100) || (CRYPTOPP_APPLE_CLANG_VERSION >= 40600))
- #define CRYPTOPP_AVX2_AVAILABLE 1
- #endif
+ // Requires Binutils 2.24
+ #if !defined(CRYPTOPP_DISABLE_AVX2) && defined(CRYPTOPP_AVX_AVAILABLE) && \
+ (defined(__AVX2__) || (CRYPTOPP_MSC_VERSION >= 1800) || (__SUNPRO_CC >= 0x5130) || \
+- (CRYPTOPP_GCC_VERSION >= 40700) || (__INTEL_COMPILER >= 1400) || \
++ (CRYPTOPP_GCC_VERSION >= 40900) || (__INTEL_COMPILER >= 1400) || \
+ (CRYPTOPP_LLVM_CLANG_VERSION >= 30100) || (CRYPTOPP_APPLE_CLANG_VERSION >= 40600))
+ #define CRYPTOPP_AVX2_AVAILABLE 1
+ #endif
--
2.14.1